Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
OffCanvasTestBase.php file core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php
OffCanvasTestBase::$modules property core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Modules to install.
OffCanvasTestBase::assertAllContextualLinksLoaded function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Assert all contextual link areas have be loaded.
OffCanvasTestBase::assertElementVisibleAfterWait function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Asserts the specified selector is visible after a wait.
OffCanvasTestBase::assertPageLoadComplete function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Assert the page is completely loaded.
OffCanvasTestBase::drupalGet function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Retrieves a Drupal path or an absolute path.
OffCanvasTestBase::enableTheme function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Enables a theme.
OffCanvasTestBase::getOffCanvasDialog function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Gets the off-canvas dialog element.
OffCanvasTestBase::getTestThemes function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Get themes to test.
OffCanvasTestBase::themeDataProvider function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Data provider that returns theme name as the sole argument.
OffCanvasTestBase::waitForOffCanvasToClose function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Waits for off-canvas dialog to close.
OffCanvasTestBase::waitForOffCanvasToOpen function core/modules/system/tests/src/FunctionalJavascript/OffCanvasTestBase.php Waits for off-canvas dialog to open.
OffCanvasTestHooks class core/modules/system/tests/modules/off_canvas_test/src/Hook/OffCanvasTestHooks.php Hook implementations for off_canvas_test.
OffCanvasTestHooks.php file core/modules/system/tests/modules/off_canvas_test/src/Hook/OffCanvasTestHooks.php
OffCanvasTestHooks::pageAttachments function core/modules/system/tests/modules/off_canvas_test/src/Hook/OffCanvasTestHooks.php Implements hook_page_attachments().
OffCanvasTestTrait trait core/modules/system/tests/src/Traits/OffCanvasTestTrait.php Provides helper methods for interacting with the off-canvas area.
OffCanvasTestTrait.php file core/modules/system/tests/src/Traits/OffCanvasTestTrait.php
OffCanvasTestTrait::waitForOffCanvasArea function core/modules/system/tests/src/Traits/OffCanvasTestTrait.php Waits for the off-canvas area to appear, resized and visible.
OffsetPage class core/modules/jsonapi/src/Query/OffsetPage.php Value object for containing the requested offset and page parameters.
OffsetPage.php file core/modules/jsonapi/src/Query/OffsetPage.php
OffsetPage::$offset property core/modules/jsonapi/src/Query/OffsetPage.php The offset for the query.
OffsetPage::$size property core/modules/jsonapi/src/Query/OffsetPage.php The size of the query.
OffsetPage::createFromQueryParameter function core/modules/jsonapi/src/Query/OffsetPage.php Creates an OffsetPage object from a query parameter.
OffsetPage::DEFAULT_OFFSET constant core/modules/jsonapi/src/Query/OffsetPage.php Default offset.
OffsetPage::getOffset function core/modules/jsonapi/src/Query/OffsetPage.php Returns the current offset.
OffsetPage::getSize function core/modules/jsonapi/src/Query/OffsetPage.php Returns the page size.
OffsetPage::KEY_NAME constant core/modules/jsonapi/src/Query/OffsetPage.php The JSON:API pagination key name.
OffsetPage::OFFSET_KEY constant core/modules/jsonapi/src/Query/OffsetPage.php The offset key in the page parameter: page[offset].
OffsetPage::SIZE_KEY constant core/modules/jsonapi/src/Query/OffsetPage.php The size key in the page parameter: page[limit].
OffsetPage::SIZE_MAX constant core/modules/jsonapi/src/Query/OffsetPage.php Max size.
OffsetPage::__construct function core/modules/jsonapi/src/Query/OffsetPage.php Instantiates an OffsetPage object.
OffsetPageTest class core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php Tests Drupal\jsonapi\Query\OffsetPage.
OffsetPageTest.php file core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php
OffsetPageTest::parameterProvider function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php Data provider for testCreateFromQueryParameter.
OffsetPageTest::setUp function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php
OffsetPageTest::testCreateFromQueryParameter function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php Tests create from query parameter.
OffsetPageTest::testCreateFromQueryParameterFail function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php Tests create from query parameter fail.
off_canvas_test.info.yml file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.info.yml core/modules/system/tests/modules/off_canvas_test/off_canvas_test.info.yml
off_canvas_test.libraries.yml file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.libraries.yml core/modules/system/tests/modules/off_canvas_test/off_canvas_test.libraries.yml
off_canvas_test.routing.yml file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.routing.yml core/modules/system/tests/modules/off_canvas_test/off_canvas_test.routing.yml
olivero.breakpoints.yml file core/themes/olivero/olivero.breakpoints.yml core/themes/olivero/olivero.breakpoints.yml
olivero.libraries.yml file core/themes/olivero/olivero.libraries.yml core/themes/olivero/olivero.libraries.yml
olivero.post_update.php file core/themes/olivero/olivero.post_update.php Post update functions for Olivero.
olivero.schema.yml file core/themes/olivero/config/schema/olivero.schema.yml core/themes/olivero/config/schema/olivero.schema.yml
olivero.settings.yml file core/themes/olivero/config/install/olivero.settings.yml core/themes/olivero/config/install/olivero.settings.yml
OliveroAvoidStorageUsingTest class core/tests/Drupal/FunctionalJavascriptTests/Theme/OliveroAvoidStorageUsingTest.php Tests usage of localStorage.
OliveroAvoidStorageUsingTest.php file core/tests/Drupal/FunctionalJavascriptTests/Theme/OliveroAvoidStorageUsingTest.php
OliveroAvoidStorageUsingTest::$defaultTheme property core/tests/Drupal/FunctionalJavascriptTests/Theme/OliveroAvoidStorageUsingTest.php The theme to install as the default for testing.
OliveroAvoidStorageUsingTest::$modules property core/tests/Drupal/FunctionalJavascriptTests/Theme/OliveroAvoidStorageUsingTest.php Modules to install.
OliveroAvoidStorageUsingTest::testStorageUsing function core/tests/Drupal/FunctionalJavascriptTests/Theme/OliveroAvoidStorageUsingTest.php Tests use of localStorage.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.